diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/media.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/media.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/media.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/includes/media.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 1486,1492 ****
  
  	media_upload_header();
  
! 	$post_id = intval($_REQUEST['post_id']);
  
  	$form_action_url = admin_url("media-upload.php?type=$type&tab=type&post_id=$post_id");
  	$form_action_url = apply_filters('media_upload_form_url', $form_action_url, $type);
--- 1654,1660 ----
  
  	media_upload_header();
  
! 	$post_id = isset( $_REQUEST['post_id'] ) ? intval( $_REQUEST['post_id'] ) : 0;
  
  	$form_action_url = admin_url("media-upload.php?type=$type&tab=type&post_id=$post_id");
  	$form_action_url = apply_filters('media_upload_form_url', $form_action_url, $type);
***************
*** 1516,1526 ****
  		if ( '' == f.src.value || '' == t.width )
  			return false;
  
- 		if ( f.title.value ) {
- 			title = f.title.value.replace(/'/g, '&#039;').replace(/"/g, '&quot;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
- 			title = ' title="'+title+'"';
- 		}
- 
  		if ( f.alt.value )
  			alt = f.alt.value.replace(/'/g, '&#039;').replace(/"/g, '&quot;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
  
--- 1684,1689 ----
***************
*** 1537,1543 ****
  
  		cls = caption ? '' : ' class="'+t.align+'"';
  
! 		html = '<img alt="'+alt+'" src="'+f.src.value+'"'+title+cls+' width="'+t.width+'" height="'+t.height+'" />';
  
  		if ( f.url.value ) {
  			url = f.url.value.replace(/'/g, '&#039;').replace(/"/g, '&quot;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
--- 1700,1706 ----
  
  		cls = caption ? '' : ' class="'+t.align+'"';
  
! 		html = '<img alt="'+alt+'" src="'+f.src.value+'"'+cls+' width="'+t.width+'" height="'+t.height+'" />';
  
  		if ( f.url.value ) {
  			url = f.url.value.replace(/'/g, '&#039;').replace(/"/g, '&quot;').replace(/</g, '&lt;').replace(/>/g, '&gt;');
***************
*** 1582,1588 ****
  			return false;
  		}
  
! 		document.getElementById('status_img').innerHTML = '<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" />';
  		t.preloadImg = new Image();
  		t.preloadImg.onload = t.updateImageData;
  		t.preloadImg.onerror = t.resetImageData;
--- 1745,1751 ----
  			return false;
  		}
  
! 		document.getElementById('status_img').innerHTML = '<img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" width="16" />';
  		t.preloadImg = new Image();
  		t.preloadImg.onload = t.updateImageData;
  		t.preloadImg.onerror = t.resetImageData;
***************
*** 1609,1619 ****
  }
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.5.0
   *
!  * @param unknown_type $errors
   */
  function media_upload_gallery_form($errors) {
  	global $redir_tab, $type;
--- 1772,1782 ----
  }
  
  /**
!  * Adds gallery form to upload iframe
   *
   * @since 2.5.0
   *
!  * @param array $errors
   */
  function media_upload_gallery_form($errors) {
  	global $redir_tab, $type;
***************
*** 1759,1772 ****
   *
   * @since 2.5.0
   *
!  * @param unknown_type $errors
   */
  function media_upload_library_form($errors) {
  	global $wpdb, $wp_query, $wp_locale, $type, $tab, $post_mime_types;
  
  	media_upload_header();
  
! 	$post_id = intval($_REQUEST['post_id']);
  
  	$form_action_url = admin_url("media-upload.php?type=$type&tab=library&post_id=$post_id");
  	$form_action_url = apply_filters('media_upload_form_url', $form_action_url, $type);
--- 1922,1935 ----
   *
   * @since 2.5.0
   *
!  * @param array $errors
   */
  function media_upload_library_form($errors) {
  	global $wpdb, $wp_query, $wp_locale, $type, $tab, $post_mime_types;
  
  	media_upload_header();
  
! 	$post_id = isset( $_REQUEST['post_id'] ) ? intval( $_REQUEST['post_id'] ) : 0;
  
  	$form_action_url = admin_url("media-upload.php?type=$type&tab=library&post_id=$post_id");
  	$form_action_url = apply_filters('media_upload_form_url', $form_action_url, $type);
***************
*** 1884,1890 ****
  </select>
  <?php } ?>
  
! <?php submit_button( __( 'Filter &#187;' ), 'secondary', 'post-query-submit', false ); ?>
  
  </div>
  
--- 2047,2053 ----
  </select>
  <?php } ?>
  
! <?php submit_button( __( 'Filter &#187;' ), 'button', 'post-query-submit', false ); ?>
  
  </div>
  
***************
*** 1922,1939 ****
  }
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.7.0
   *
!  * @return unknown
   */
  function wp_media_insert_url_form( $default_view = 'image' ) {
  	if ( !apply_filters( 'disable_captions', '' ) ) {
  		$caption = '
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<span class="alignleft"><label for="caption">' . __('Image Caption') . '</label></span>
  			</th>
  			<td class="field"><textarea id="caption" name="caption"></textarea></td>
  		</tr>
--- 2085,2103 ----
  }
  
  /**
!  * Creates the form for external url
   *
   * @since 2.7.0
   *
!  * @param string $default_view
!  * @return string the form html
   */
  function wp_media_insert_url_form( $default_view = 'image' ) {
  	if ( !apply_filters( 'disable_captions', '' ) ) {
  		$caption = '
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<label for="caption"><span class="alignleft">' . __('Image Caption') . '</span></label>
  			</th>
  			<td class="field"><textarea id="caption" name="caption"></textarea></td>
  		</tr>
***************
*** 1958,1964 ****
  	<table class="describe ' . $table_class . '"><tbody>
  		<tr>
  			<th valign="top" scope="row" class="label" style="width:130px;">
! 				<span class="alignleft"><label for="src">' . __('URL') . '</label></span>
  				<span class="alignright"><abbr id="status_img" title="required" class="required">*</abbr></span>
  			</th>
  			<td class="field"><input id="src" name="src" value="" type="text" aria-required="true" onblur="addExtImage.getImageData()" /></td>
--- 2122,2128 ----
  	<table class="describe ' . $table_class . '"><tbody>
  		<tr>
  			<th valign="top" scope="row" class="label" style="width:130px;">
! 				<label for="src"><span class="alignleft">' . __('URL') . '</span></label>
  				<span class="alignright"><abbr id="status_img" title="required" class="required">*</abbr></span>
  			</th>
  			<td class="field"><input id="src" name="src" value="" type="text" aria-required="true" onblur="addExtImage.getImageData()" /></td>
***************
*** 1966,1972 ****
  
  		<tr>
  			<th valign="top" scope="row" class="label">
! 				<span class="alignleft"><label for="title">' . __('Title') . '</label></span>
  				<span class="alignright"><abbr title="required" class="required">*</abbr></span>
  			</th>
  			<td class="field"><input id="title" name="title" value="" type="text" aria-required="true" /></td>
--- 2130,2136 ----
  
  		<tr>
  			<th valign="top" scope="row" class="label">
! 				<label for="title"><span class="alignleft">' . __('Title') . '</span></label>
  				<span class="alignright"><abbr title="required" class="required">*</abbr></span>
  			</th>
  			<td class="field"><input id="title" name="title" value="" type="text" aria-required="true" /></td>
***************
*** 1976,1982 ****
  
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<span class="alignleft"><label for="alt">' . __('Alternate Text') . '</label></span>
  			</th>
  			<td class="field"><input id="alt" name="alt" value="" type="text" aria-required="true" />
  			<p class="help">' . __('Alt text for the image, e.g. &#8220;The Mona Lisa&#8221;') . '</p></td>
--- 2140,2146 ----
  
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<label for="alt"><span class="alignleft">' . __('Alternative Text') . '</span></label>
  			</th>
  			<td class="field"><input id="alt" name="alt" value="" type="text" aria-required="true" />
  			<p class="help">' . __('Alt text for the image, e.g. &#8220;The Mona Lisa&#8221;') . '</p></td>
***************
*** 1998,2004 ****
  
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<span class="alignleft"><label for="url">' . __('Link Image To:') . '</label></span>
  			</th>
  			<td class="field"><input id="url" name="url" value="" type="text" /><br />
  
--- 2162,2168 ----
  
  		<tr class="image-only">
  			<th valign="top" scope="row" class="label">
! 				<label for="url"><span class="alignleft">' . __('Link Image To:') . '</span></label>
  			</th>
  			<td class="field"><input id="url" name="url" value="" type="text" /><br />
  
***************
*** 2023,2068 ****
  
  }
  
- function _insert_into_post_button($type) {
- 	if ( !post_type_supports(get_post_type($_GET['post_id']), 'editor') )
- 		return '';
- 
- 	if ( 'image' == $type )
- 	return '
- 		<tr>
- 			<td></td>
- 			<td>
- 				<input type="button" class="button" id="go_button" style="color:#bbb;" onclick="addExtImage.insert()" value="' . esc_attr__('Insert into Post') . '" />
- 			</td>
- 		</tr>
- 	';
- 
- 	return '
- 		<tr>
- 			<td></td>
- 			<td>
- 				' . get_submit_button( __( 'Insert into Post' ), 'button', 'insertonlybutton', false ) . '
- 			</td>
- 		</tr>
- 	';
- }
- 
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.6.0
   */
  function media_upload_flash_bypass() {
  	?>
  	<p class="upload-flash-bypass">
! 	<?php _e('You are using the multi-file uploader. Problems? Try the <a href="#">browser uploader</a> instead.'); ?>
  	</p>
  	<?php
  }
  add_action('post-plupload-upload-ui', 'media_upload_flash_bypass');
  
  /**
!  * {@internal Missing Short Description}}
   *
   * @since 2.6.0
   */
--- 2187,2215 ----
  
  }
  
  /**
!  * Displays the multi-file uploader message.
   *
   * @since 2.6.0
   */
  function media_upload_flash_bypass() {
+ 	$browser_uploader = admin_url( 'media-new.php?browser-uploader' );
+ 
+ 	if ( $post = get_post() )
+ 		$browser_uploader .= '&amp;post_id=' . intval( $post->ID );
+ 	elseif ( ! empty( $GLOBALS['post_ID'] ) )
+ 		$browser_uploader .= '&amp;post_id=' . intval( $GLOBALS['post_ID'] );
+ 
  	?>
  	<p class="upload-flash-bypass">
! 	<?php printf( __( 'You are using the multi-file uploader. Problems? Try the <a href="%1$s" target="%2$s">browser uploader</a> instead.' ), $browser_uploader, '_blank' ); ?>
  	</p>
  	<?php
  }
  add_action('post-plupload-upload-ui', 'media_upload_flash_bypass');
  
  /**
!  * Displays the browser's built-in uploader message.
   *
   * @since 2.6.0
   */
***************
*** 2075,2091 ****
  }
  add_action('post-html-upload-ui', 'media_upload_html_bypass');
  
! function media_upload_text_after() {
! 	?>
! 	<span class="after-file-upload"><?php _e('After a file has been uploaded, you can add titles and descriptions.'); ?></span>
! 	<?php
! }
! add_action('post-upload-ui', 'media_upload_text_after', 5);
  
  /**
!  * {@internal Missing Short Description}}
   *
!  * @since 2.6.0
   */
  function media_upload_max_image_resize() {
  	$checked = get_user_setting('upload_resize') ? ' checked="true"' : '';
--- 2222,2238 ----
  }
  add_action('post-html-upload-ui', 'media_upload_html_bypass');
  
! /**
!  * Used to display a "After a file has been uploaded..." help message.
!  *
!  * @since 3.3.0
!  */
! function media_upload_text_after() {}
  
  /**
!  * Displays the checkbox to scale images.
   *
!  * @since 3.3.0
   */
  function media_upload_max_image_resize() {
  	$checked = get_user_setting('upload_resize') ? ' checked="true"' : '';
***************
*** 2106,2111 ****
--- 2253,2385 ----
  <?php
  }
  
+ /**
+  * Displays the out of storage quota message in Multisite.
+  *
+  * @since 3.5.0
+  */
+ function multisite_over_quota_message() {
+ 	echo '<p>' . sprintf( __( 'Sorry, you have used all of your storage quota of %s MB.' ), get_space_allowed() ) . '</p>';
+ }
+ 
+ /**
+  * Displays the image and editor in the post editor
+  *
+  * @since 3.5.0
+  */
+ function edit_form_image_editor() {
+ 	$post = get_post();
+ 
+ 	$open = isset( $_GET['image-editor'] );
+ 	if ( $open )
+ 		require_once ABSPATH . 'wp-admin/includes/image-edit.php';
+ 
+ 	$thumb_url = false;
+ 	if ( $attachment_id = intval( $post->ID ) )
+ 		$thumb_url = wp_get_attachment_image_src( $attachment_id, array( 900, 450 ), true );
+ 
+ 	$filename = esc_html( basename( $post->guid ) );
+ 	$title = esc_attr( $post->post_title );
+ 	$alt_text = get_post_meta( $post->ID, '_wp_attachment_image_alt', true );
+ 
+ 	$att_url = wp_get_attachment_url( $post->ID );
+ 
+ 	if ( wp_attachment_is_image( $post->ID ) ) :
+ 		$image_edit_button = '';
+ 		if ( wp_image_editor_supports( array( 'mime_type' => $post->post_mime_type ) ) ) {
+ 			$nonce = wp_create_nonce( "image_editor-$post->ID" );
+ 			$image_edit_button = "<input type='button' id='imgedit-open-btn-$post->ID' onclick='imageEdit.open( $post->ID, \"$nonce\" )' class='button' value='" . esc_attr__( 'Edit Image' ) . "' /> <span class='spinner'></span>";
+ 		}
+  	?>
+ 	<div class="wp_attachment_holder">
+ 		<div class="imgedit-response" id="imgedit-response-<?php echo $attachment_id; ?>"></div>
+ 
+ 		<div<?php if ( $open ) echo ' style="display:none"'; ?> class="wp_attachment_image" id="media-head-<?php echo $attachment_id; ?>">
+ 			<p id="thumbnail-head-<?php echo $attachment_id; ?>"><img class="thumbnail" src="<?php echo set_url_scheme( $thumb_url[0] ); ?>" style="max-width:100%" alt="" /></p>
+ 			<p><?php echo $image_edit_button; ?></p>
+ 		</div>
+ 		<div<?php if ( ! $open ) echo ' style="display:none"'; ?> class="image-editor" id="image-editor-<?php echo $attachment_id; ?>">
+ 			<?php if ( $open ) wp_image_editor( $attachment_id ); ?>
+ 		</div>
+ 	</div>
+ 	<?php endif; ?>
+ 
+ 	<div class="wp_attachment_details">
+ 		<p>
+ 			<label for="attachment_caption"><strong><?php _e( 'Caption' ); ?></strong></label><br />
+ 			<textarea class="widefat" name="excerpt" id="attachment_caption"><?php echo $post->post_excerpt; ?></textarea>
+ 		</p>
+ 
+ 	<?php if ( 'image' === substr( $post->post_mime_type, 0, 5 ) ) : ?>
+ 		<p>
+ 			<label for="attachment_alt"><strong><?php _e( 'Alternative Text' ); ?></strong></label><br />
+ 			<input type="text" class="widefat" name="_wp_attachment_image_alt" id="attachment_alt" value="<?php echo esc_attr( $alt_text ); ?>" />
+ 		</p>
+ 	<?php endif; ?>
+ 
+ 	<?php
+ 		$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
+ 		$editor_args = array(
+ 			'textarea_name' => 'content',
+ 			'textarea_rows' => 5,
+ 			'media_buttons' => false,
+ 			'tinymce' => false,
+ 			'quicktags' => $quicktags_settings,
+ 		);
+ 	?>
+ 
+ 	<label for="content"><strong><?php _e( 'Description' ); ?></strong></label>
+ 	<?php wp_editor( $post->post_content, 'attachment_content', $editor_args ); ?>
+ 
+ 	</div>
+ 	<?php
+ 	$extras = get_compat_media_markup( $post->ID );
+ 	echo $extras['item'];
+ 	echo '<input type="hidden" id="image-edit-context" value="edit-attachment" />' . "\n";
+ }
+ 
+ /**
+  * Displays non-editable attachment metadata in the publish metabox
+  *
+  * @since 3.5.0
+  */
+ function attachment_submitbox_metadata() {
+ 	$post = get_post();
+ 
+ 	$filename = esc_html( basename( $post->guid ) );
+ 
+ 	$media_dims = '';
+ 	$meta = wp_get_attachment_metadata( $post->ID );
+ 	if ( is_array( $meta ) && array_key_exists( 'width', $meta ) && array_key_exists( 'height', $meta ) )
+ 		$media_dims .= "<span id='media-dims-$post->ID'>{$meta['width']}&nbsp;&times;&nbsp;{$meta['height']}</span> ";
+ 	$media_dims = apply_filters( 'media_meta', $media_dims, $post );
+ 
+ 	$att_url = wp_get_attachment_url( $post->ID );
+ ?>
+ 	<div class="misc-pub-section">
+ 			<label for="attachment_url"><?php _e( 'File URL:' ); ?></label>
+ 			<input type="text" class="widefat urlfield" readonly="readonly" name="attachment_url" value="<?php echo esc_attr($att_url); ?>" />
+ 	</div>
+ 	<div class="misc-pub-section">
+ 		<?php _e( 'File name:' ); ?> <strong><?php echo $filename; ?></strong>
+ 	</div>
+ 	<div class="misc-pub-section">
+ 		<?php _e( 'File type:' ); ?> <strong><?php
+ 			if ( preg_match( '/^.*?\.(\w+)$/', get_attached_file( $post->ID ), $matches ) )
+ 				echo esc_html( strtoupper( $matches[1] ) );
+ 			else
+ 				echo strtoupper( str_replace( 'image/', '', $post->post_mime_type ) );
+ 		?></strong>
+ 	</div>
+ 
+ <?php if ( $media_dims ) : ?>
+ 	<div class="misc-pub-section">
+ 		<?php _e( 'Dimensions:' ); ?> <strong><?php echo $media_dims; ?></strong>
+ 	</div>
+ <?php
+ 	endif;
+ }
+ 
  add_filter( 'async_upload_image', 'get_media_item', 10, 2 );
  add_filter( 'async_upload_audio', 'get_media_item', 10, 2 );
  add_filter( 'async_upload_video', 'get_media_item', 10, 2 );
***************
*** 2118,2120 ****
--- 2392,2396 ----
  
  add_filter( 'media_upload_gallery', 'media_upload_gallery' );
  add_filter( 'media_upload_library', 'media_upload_library' );
+ 
+ add_action( 'attachment_submitbox_misc_actions', 'attachment_submitbox_metadata' );
